import path from "node:path";
import Executor from "../sockets/clients/Executor.js";
import { normalize } from "./executor-configurator.js";
import { configName as executorConfigName } from "./executor-config.js";
const executorConfigPath = path.resolve(executorConfigName);
const { default: executorConfig } = await import(executorConfigPath);

// Load config and args
const args = process.argv.slice(2);
const payload = JSON.parse(Buffer.from(args[0], "base64").toString("utf8"));
const config = normalize(executorConfig(payload));
// Start Executor
const exec = new Executor(config, payload);
exec.runJob();
