import path from "node:path";
import { nodeResolve } from "@rollup/plugin-node-resolve";
import commonjs from "@rollup/plugin-commonjs";
import { terser } from "rollup-plugin-terser";
import {
  executorLibraryDir,
  entrypointName,
  scriptName,
} from "./executor-config.js";

export default {
  input: path.resolve(executorLibraryDir, entrypointName),
  output: {
    file: `dist/bundles/${scriptName}`,
  },
  plugins: [nodeResolve(), commonjs(), terser()],
};
