CREATE SEQUENCE catalog_id_seq;
CREATE TABLE catalog (
  id bigint NOT NULL DEFAULT nextval('catalog_id_seq') PRIMARY KEY,
  name varchar(255) DEFAULT NULL,
  class varchar(255) DEFAULT NULL,
  image varchar(255) DEFAULT NULL,
  "path" varchar(255) DEFAULT NULL,
  description varchar(1023) DEFAULT NULL,
  type varchar(31) DEFAULT NULL,
  created TIMESTAMP NOT NULL DEFAULT now(),
  mr varchar(255) DEFAULT NULL,
  tags varchar(255)[] DEFAULT NULL,
  crons varchar(127) DEFAULT NULL,
  env varchar(31)[] DEFAULT NULL,
  regions varchar(15)[] DEFAULT NULL,
  triggers varchar(255)[] DEFAULT NULL,
  pipeline BOOLEAN DEFAULT FALSE,
  coverage varchar(255)[] DEFAULT NULL,
  projects varchar(255)[] DEFAULT NULL,
  delay varchar(31) DEFAULT NULL,
  CONSTRAINT unique_name UNIQUE(name)
);
ALTER SEQUENCE catalog_id_seq OWNED BY catalog.id;
