export const table = "catalog";
export const seed = () => {
  return [
    {
      name: "single",
      class: "single.js",
      image: "node:latest",
      path: "tests/assets/suite/single.js",
      description: "This is a single test",
      type: "api",
      created: new Date().toJSON(),
      mergeRequest: "https://example.com",
      tags: ["cron_1hour", "reg_us", "env_ci", "proj_core", "ignore_alt"],
    },
    {
      name: "failing",
      class: "failing.js",
      image: "node:latest",
      path: "tests/assets/suite/failing.js",
      description: "This is a failing test",
      type: "ui",
      created: new Date().toJSON(),
      mergeRequest: "https://example.com",
      tags: ["cron_1hour", "reg_us", "env_ci", "proj_core"],
    },
    {
      name: "primary",
      class: "primary.js",
      image: "node:latest",
      path: "tests/assets/suite/primary.js",
      description: "This is a primary test",
      type: "api",
      created: new Date().toJSON(),
      mergeRequest: "https://example.com",
      tags: [
        "pipeline",
        "cron_1hour",
        "reg_us",
        "proj_core",
        "ignore_alt",
        "triggers_secondary1",
        "triggers_secondary2",
      ],
    },
    {
      name: "secondary1",
      class: "secondary1.js",
      image: "node:latest",
      path: "tests/assets/suite/secondary1.js",
      description: "This is a secondary test",
      type: "api",
      created: new Date().toJSON(),
      mergeRequest: "https://example.com",
      tags: [
        "pipeline",
        "cron_1hour",
        "reg_us",
        "proj_core",
        "triggers_tertiary1",
        "triggers_tertiary2",
        "delay_1sec",
      ],
    },
    {
      name: "secondary2",
      class: "secondary2.js",
      image: "node:latest",
      path: "tests/assets/suite/secondary2.js",
      description: "This is a secondary2 test",
      type: "api",
      created: new Date().toJSON(),
      mergeRequest: "https://example.com",
      tags: [
        "pipeline",
        "cron_1hour",
        "reg_us",
        "proj_core",
        "triggers_tertiary3",
      ],
    },
    {
      name: "tertiary1",
      class: "tertiary1.js",
      image: "node:latest",
      path: "tests/assets/suite/tertiary1.js",
      description: "This is a third test",
      type: "api",
      created: new Date().toJSON(),
      mergeRequest: "https://example.com",
      tags: ["pipeline", "cron_1hour", "reg_us", "proj_core"],
    },
    {
      name: "tertiary2",
      class: "tertiary2.js",
      image: "node:latest",
      path: "tests/assets/suite/tertiary2.js",
      description: "This is a third2 test",
      type: "api",
      created: new Date().toJSON(),
      mergeRequest: "https://example.com",
      tags: ["pipeline", "cron_1hour", "reg_us", "proj_core", "delay_10sec"],
    },
    {
      name: "tertiary3",
      class: "tertiary3.js",
      image: "node:latest",
      path: "tests/assets/suite/tertiary3.js",
      description: "This is a third3 test",
      type: "api",
      created: new Date().toJSON(),
      mergeRequest: "https://example.com",
      tags: ["pipeline", "cron_1hour", "reg_us", "proj_core", "delay_5sec"],
    },
    {
      name: "single-alt",
      class: "single-alt.js",
      image: "node:latest",
      path: "tests/assets/suite/single-alt.js",
      description: "This is an alternative test",
      type: "ui",
      created: new Date().toJSON(),
      mergeRequest: "https://example.com",
      tags: ["cron_1hour", "reg_us", "env_ci", "proj_alt"],
    },
  ];
};
