import { WARN } from "../util/logging.js";
export const TAGS = {
  IGNORE: { name: "ignore", tag: "ignore_", value: (t) => t },
  CRON: { name: "crons", tag: "cron_", value: (t) => t },
  ENV: { name: "env", tag: "env_", value: (t) => t },
  REGIONS: { name: "regions", tag: "reg_", value: (t) => t },
  PIPELINE: { name: "pipeline", tag: "pipeline", value: (t) => t },
  COVERAGE: { name: "coverage", tag: "coverage_", value: (t) => t },
  PROJECT: { name: "projects", tag: "proj_", value: (t) => t },
  DELAY: { name: "delay", tag: "delay_", value: (t) => t },
  TRIGGERS: { name: "triggers", tag: "triggers_", value: (t) => t },
};

export default function getFilteredTags(tags) {
  const filtered = {};
  for (var t of tags) {
    const tag = Object.values(TAGS).find((ta) => t.startsWith(ta.tag));
    if (!tag) {
      WARN("CATALOG", `Tag '${t}' did not have a valid prefix!`);
      continue;
    }
    if (!filtered[tag.name]) filtered[tag.name] = [];
    filtered[tag.name].push(tag.value(t.replace(tag.tag, "")));
  }
  return filtered;
}
