import { Router, json as jsonMiddleware } from "express";
import {
  getCurrentlyFailing,
  ignoreResult,
} from "../database/queries/results.js";
const router = Router();

// Apply Middlewares
router.use(jsonMiddleware());

// Get Routes
router.get("/failing", (req, res) => {
  getCurrentlyFailing().then((f) => res.json(f));
});

// Post Routes
router.post("/history", (req, res) => {
  res.send([]);
});

router.post("/ignore", (req, res) => {
  if (!req.body || !req.body.id)
    return res.status(400).send("'id' is required!");
  ignoreResult(req.body).then(() => res.sendStatus(200));
});

export default router;
