// Import Contexts
import { QueryClient, QueryClientProvider } from "@tanstack/react-query";
import { JobProvider } from "@qltr/jobctx";
import { StoreProvider } from "@qltr/store";
import { BrowserRouter } from "react-router-dom";
// Import Views
import Views from "./views/Views.jsx";

const queryClient = new QueryClient();

export default function Dashboard() {
  return (
    <div className="qualiteer">
      <QueryClientProvider client={queryClient}>
        <StoreProvider>
          <JobProvider>
            <BrowserRouter>
              <Views />
            </BrowserRouter>
          </JobProvider>
        </StoreProvider>
      </QueryClientProvider>
    </div>
  );
}
