import { useState } from "react";
import moment from "moment";
import Box from "@mui/material/Box";
import TextField from "@mui/material/TextField";

const MAX_DURATION = { h: 72, m: 59 };
const MIN_DURATION = 0;
export default function SilenceSelector(props) {
  const [expires, setExpires] = useState(moment());
  const { formerExpires, duration, setDuration } = props;
  const formerExpirey =
    formerExpires && duration.h === 0 && duration.m === 0
      ? moment(formerExpires)
      : null;
  const updateDuration = (t) => (e) => {
    const d = { ...duration };
    d[t] = Math.abs(parseInt(e.target.value));
    if (isNaN(d[t])) d[t] = 0;
    d[t] = d[t] <= MAX_DURATION[t] ? d[t] : MAX_DURATION[t];
    setDuration(d);
    const now = moment().add(d.h, "hours").add(d.m, "minutes");
    setExpires(now);
  };
  const onNumberInput = (e) =>
    (e.target.value =
      !!e.target.value && Math.abs(e.target.value) >= MIN_DURATION
        ? Math.abs(e.target.value)
        : null);

  return (
    <Box>
      <Box style={{ display: "flex" }}>
        <TextField
          margin="normal"
          label="Hours"
          type="number"
          onChange={updateDuration("h")}
          inputProps={{
            min: MIN_DURATION,
            max: MAX_DURATION.h,
            onInput: onNumberInput,
          }}
          value={duration.h}
          autoComplete="off"
        />
        <TextField
          margin="normal"
          sx={{ marginLeft: 1 }}
          label="Minutes"
          type="number"
          onChange={updateDuration("m")}
          inputProps={{
            min: MIN_DURATION,
            max: MAX_DURATION.m,
            onInput: onNumberInput,
          }}
          value={duration.m}
          autoComplete="off"
        />
      </Box>
      <TextField
        margin="normal"
        label="Expires"
        value={`${(formerExpirey ?? expires).format("L")} ${(
          formerExpirey ?? expires
        ).format("LT")}`}
      />
    </Box>
  );
}
