// React
import { useState, useContext } from "react";
import { useUpsertAlert } from "@qltr/queries";

// Components
import Popover from "@mui/material/Popover";
import IconButton from "@mui/material/IconButton";

//Icons
import DeleteIcon from "@mui/icons-material/Delete";
import EditIcon from "@mui/icons-material/Edit";

export function useQuickSilence() {
  const [anchorEl, setAnchorEl] = useState(null);
  const [test, setTest] = useState(null);
  const openMenuAt = (e, t) => {
    e.preventDefault();
    setTest(t);
    setAnchorEl(e.currentTarget);
  };
  const closeMenu = () => setAnchorEl(null);
  return [anchorEl, test, openMenuAt, closeMenu];
}

export default function QuickSilence(props) {
  const { anchorEl, test, handleClose, editSilence } = props;
  const upsertAlert = useUpsertAlert();
  const open = Boolean(anchorEl);

  async function deleteClick() {
    await upsertAlert({ id: test.silence.id, expires: null });
    handleClose();
  }

  async function editClick() {
    editSilence();
    handleClose();
  }

  return (
    <Popover
      open={open}
      anchorEl={anchorEl}
      onClose={handleClose}
      anchorOrigin={{
        vertical: "bottom",
        horizontal: "left",
      }}
    >
      <IconButton color="primary" onClick={editClick}>
        <EditIcon />
      </IconButton>
      <IconButton color="error" onClick={deleteClick}>
        <DeleteIcon />
      </IconButton>
    </Popover>
  );
}
